#######################################################################
#
#  Copyright (C) 2006 Novell, Inc.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public
#  License along with this program; if not, write to the Free
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  Author: Juan Carlos Luciani <jluciani@novell.com>
#
#######################################################################

SUBDIRS = 

DIST_SUBDIRS =

JAVAFILES = ProtoDefs.java \
	AuthMechConfig.java \
	SvcConfig.java \
	IdenTokenConfig.java \
	AuthTokenConfig.java \
	EnabledSvcsConfig.java \
	AuthMechanism.java \
	Authenticate.java \
	RpcMethod.java \
	Rpc.java \
	GetAuthPolicy.java \
	Base64Coder.java \
	AuthReqMsg.java \
	AuthRespMsg.java \
	IdentityToken.java \
	CasaIdentityToken.java \
	AuthToken.java \
	GetAuthPolicyReqMsg.java \
	GetAuthPolicyRespMsg.java \
	GetAuthToken.java \
	GetAuthTokReqMsg.java \
	GetAuthTokRespMsg.java \
	Krb5Authenticate.java \
	PwdAuthenticate.java \
	SessionToken.java \
	AuthPolicyEditor.java \
	AuthTokenSettingsEditor.java \
	IdenTokenSettingsEditor.java \
	IVerifySetting.java \
	SettingsFileUtil.java \
	SettingsFileSAXHandler.java \
	RealmsInfo.java \
	SvcSettingsEditor.java \
	SecureTokenUtil.java \
	TomcatConnectorEditor.java \
	IaRealmsEditor.java

EXTRA_DIST = $(JAVAFILES) \
		Krb5_mechanism.settings \
		Pwd_mechanism.settings

.PHONY: package package-clean package-install package-uninstall
package package-clean package-install package-uninstall:
	$(MAKE) -C $(TARGET_OS) $@

maintainer-clean-local:
	rm -f Makefile.in

